# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global vimfiles %{_datadir}/vim/vimfiles

Name:           nerdtree
Version:        5.0.0
Release:        alt1_2
Summary:        A tree explorer plugin for the editor Vim
Group:          Development/Tools

License:        WTFPL
URL:            http://www.vim.org/scripts/script.php?script_id=1658
Source0:        https://github.com/scrooloose/nerdtree/archive/%{version}/%{name}-%{version}.tar.gz

Requires:       vimtutor xxd
Requires(post): vim
Requires(postun): vim

BuildArch:      noarch
Source44: import.info

%description
The NERD tree allows you to explore your filesystem and to open files and
directories. It presents the filesystem to you in the form of a tree which
you manipulate with the keyboard and/or mouse. It also allows you
to perform simple filesystem operations.

%prep
%setup -q


%build


%install
mkdir -p %{buildroot}%{vimfiles}
cp -ar {doc,lib,autoload,nerdtree_plugin,plugin,syntax} %{buildroot}%{vimfiles}

%post
vim -c ":helptags %{vimfiles}/doc" -c :q &> /dev/null

%postun
rm %{vimfiles}/doc/tags
vim -c ":helptags %{vimfiles}/doc" -c :q &> /dev/null


%files
%doc README.markdown
%doc %{vimfiles}/doc/*
%{vimfiles}/nerdtree_plugin/
%{vimfiles}/plugin/*
%{vimfiles}/syntax/*
%{vimfiles}/autoload/*
%{vimfiles}/lib/*


%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 5.0.0-alt1_2
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 5.0.0-alt1_1
- new version

